package mocks

import "github.com/bwmarrin/discordgo"

type MockDiscordSession struct {
	Err error
}

func (m *MockDiscordSession) Open() error {
	return m.Err
}

func (m *MockDiscordSession) Close() error {
	return m.Err
}

func (m *MockDiscordSession) AddHandler(interface{}) func() {
	return func() {}
}

func (m *MockDiscordSession) ApplicationCommandCreate(string, string, *discordgo.ApplicationCommand, ...discordgo.RequestOption) (*discordgo.ApplicationCommand, error) {
	return nil, m.Err
}

func (m *MockDiscordSession) InteractionRespond(*discordgo.Interaction, *discordgo.InteractionResponse, ...discordgo.RequestOption) error {
	return m.Err
}

func (m *MockDiscordSession) ChannelMessageSendComplex(string, *discordgo.MessageSend, ...discordgo.RequestOption) (*discordgo.Message, error) {
	return nil, m.Err
}
